unit BeeGui_IntViewerFrm;

{ Contains:

  beeGUI Internal Viewer form.

  (C) 2005 Andrew Filinsky, Melchiorre Caruso

  Modifyed:

  v1.0.1 build 9155 - 2005/07/15 Melchiorre Caruso
  v1.0.1 build 9158 - 2005/07/24 Melchiorre Caruso

}

{$R-,Q-,S-}

interface

uses
  Forms,
  Classes,
  Windows,
  Messages,
  SysUtils,
  Graphics,
  Controls,

  BeeGui_Forms, StdCtrls, Buttons, Dialogs;

type
  TIntViewerFrm = class (TBGIntViewerForm)
    
    IntViewerFrm_Viewer: TMemo;
    IntViewerFrm_FontDialog: TFontDialog;

    BtnFont: TBitBtn;
    BtnSave: TBitBtn;
    BtnOk: TBitBtn;
    IntViewerFrm_SaveDialog: TSaveDialog;

    procedure BtnFontClick (Sender: TObject);
    procedure FormShow (Sender: TObject);
    procedure BtnSaveClick(Sender: TObject);

  private
    { Private declarations }

  public
    { Public declarations }

  end;

var
  IntViewerFrm: TIntViewerFrm;

implementation

{$R *.DFM}

procedure TIntViewerFrm.BtnFontClick (Sender: TObject);
begin
  if IntViewerFrm_FontDialog.Execute then
    IntViewerFrm_Viewer.Font := IntViewerFrm_FontDialog.Font;
end;

procedure TIntViewerFrm.FormShow (Sender: TObject);
begin
  IntViewerFrm_Viewer.Font := IntViewerFrm_FontDialog.Font;
end;

procedure TIntViewerFrm.BtnSaveClick(Sender: TObject);
var
  FileName: ansistring;
begin
  IntViewerFrm_SaveDialog.FileName := '';
  if IntViewerFrm_SaveDialog.Execute then
  begin
    FileName := IntViewerFrm_SaveDialog.FileName;
    case IntViewerFrm_SaveDialog.FilterIndex of
      1: FileName := ChangeFileExt (FileName, '.txt');
    end;
    IntViewerFrm_Viewer.Lines.SaveToFile (FileName);
  end;
end;

end.
